--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


--
-- Name: postgis; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS postgis WITH SCHEMA public;


--
-- Name: EXTENSION postgis; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION postgis IS 'PostGIS geometry, geography, and raster spatial types and functions';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: admin1codesascii; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE admin1codesascii (
    code character(20),
    name text,
    nameascii text,
    geonameid integer
);


ALTER TABLE public.admin1codesascii OWNER TO postgres;

--
-- Name: admin2codes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE admin2codes (
    admin2 character varying(80),
    name character varying(200),
    asciiname character varying(200),
    geonameid integer
);


ALTER TABLE public.admin2codes OWNER TO postgres;

--
-- Name: admincode5; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE admincode5 (
    geonameid bigint,
    admcode5 text
);


ALTER TABLE public.admincode5 OWNER TO postgres;

--
-- Name: alternatename; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE alternatename (
    alternatenameid integer,
    geonameid integer,
    isolanguage character varying(7),
    alternatename character varying(200),
    ispreferredname boolean,
    isshortname boolean,
    iscolloquial boolean,
    ishistoric boolean,
    "from" character varying,
    "to" character varying
);


ALTER TABLE public.alternatename OWNER TO postgres;

--
-- Name: continentcodes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE continentcodes (
    code character(2),
    name character varying(20),
    geonameid integer
);


ALTER TABLE public.continentcodes OWNER TO postgres;

--
-- Name: continentinfo; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE continentinfo (
    geonameid integer,
    continent character varying(40)
);


ALTER TABLE public.continentinfo OWNER TO postgres;

--
-- Name: countryinfo; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE countryinfo (
    isoalpha2 character(2),
    isoalpha3 character(3),
    isonumeric integer,
    fipscode character varying(3),
    name character varying(200),
    capital character varying(200),
    areainsqkm double precision,
    population integer,
    continent character(2),
    tld character varying(10),
    currencycode character varying(3),
    currencyname character varying(40),
    phone character varying(20),
    postalcode character varying(100),
    postalcoderegex character varying(200),
    languages character varying(200),
    geonameid integer,
    neighbours character varying(60),
    equivalentfipscode character varying(3)
);


ALTER TABLE public.countryinfo OWNER TO postgres;

--
-- Name: featurecodes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE featurecodes (
    code character(7),
    lang character(2),
    name character varying(200),
    description text
);


ALTER TABLE public.featurecodes OWNER TO postgres;

--
-- Name: geoname; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE geoname (
    geonameid integer,
    name character varying(200),
    asciiname character varying(200),
    alternatenames character varying(10000),
    latitude double precision,
    longitude double precision,
    fclass character(1),
    fcode character varying(10),
    country character varying(2),
    cc2 character varying(200),
    admin1 character varying(20),
    admin2 character varying(80),
    admin3 character varying(20),
    admin4 character varying(20),
    population bigint,
    elevation integer,
    gtopo30 integer,
    timezone character varying(40),
    moddate date,
    fclasscode character varying(12),
    the_geom geometry(Point,4326)
);


ALTER TABLE public.geoname OWNER TO postgres;

--
-- Name: hierarchy; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hierarchy (
    parentid bigint,
    childid bigint,
    type character varying(40)
);


ALTER TABLE public.hierarchy OWNER TO postgres;

--
-- Name: iso_languagecodes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE iso_languagecodes (
    iso_639_3 character(4),
    iso_639_2 character varying(50),
    iso_639_1 character varying(50),
    language_name character varying(200)
);


ALTER TABLE public.iso_languagecodes OWNER TO postgres;

--
-- Name: postalcodes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE postalcodes (
    countrycode character(2),
    postalcode character varying(20),
    placename character varying(180),
    admin1name character varying(100),
    admin1code character varying(20),
    admin2name character varying(100),
    admin2code character varying(20),
    admin3name character varying(100),
    admin3code character varying(20),
    latitude double precision,
    longitude double precision,
    accuracy smallint
);


ALTER TABLE public.postalcodes OWNER TO postgres;

--
-- Name: shapessimplifiedlow; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE shapessimplifiedlow (
    ogc_fid integer NOT NULL,
    wkb_geometry geometry(Geometry,4326),
    geonameid character varying
);


ALTER TABLE public.shapessimplifiedlow OWNER TO postgres;

--
-- Name: shapessimplifiedlow_ogc_fid_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE shapessimplifiedlow_ogc_fid_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.shapessimplifiedlow_ogc_fid_seq OWNER TO postgres;

--
-- Name: shapessimplifiedlow_ogc_fid_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE shapessimplifiedlow_ogc_fid_seq OWNED BY shapessimplifiedlow.ogc_fid;


--
-- Name: timezones; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE timezones (
    countrycode character(2),
    timezoneid character varying(200),
    gmtoffset double precision,
    dstoffset double precision,
    rawoffset double precision
);


ALTER TABLE public.timezones OWNER TO postgres;

--
-- Name: usertags; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE usertags (
    geonameid bigint,
    tag character varying(40)
);


ALTER TABLE public.usertags OWNER TO postgres;

--
-- Name: ogc_fid; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY shapessimplifiedlow ALTER COLUMN ogc_fid SET DEFAULT nextval('shapessimplifiedlow_ogc_fid_seq'::regclass);


--
-- Name: shapessimplifiedlow_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY shapessimplifiedlow
    ADD CONSTRAINT shapessimplifiedlow_pkey PRIMARY KEY (ogc_fid);


--
-- Name: admin1codesascii_geonameid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admin1codesascii_geonameid_idx ON admin1codesascii USING btree (geonameid);


--
-- Name: admin2codes_geonameid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admin2codes_geonameid_idx ON admin2codes USING btree (geonameid);


--
-- Name: admincode5_geonameid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admincode5_geonameid_idx ON admincode5 USING btree (geonameid);


--
-- Name: alternatename_alternatenameid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX alternatename_alternatenameid_idx ON alternatename USING btree (alternatenameid);


--
-- Name: alternatename_geonameid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX alternatename_geonameid_idx ON alternatename USING btree (geonameid);


--
-- Name: continentinfo_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX continentinfo_idx ON continentinfo USING btree (continent);


--
-- Name: countryinfo_geonameid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX countryinfo_geonameid_idx ON countryinfo USING btree (geonameid);


--
-- Name: featurecodes_code_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX featurecodes_code_idx ON featurecodes USING btree (code, lang);


--
-- Name: geoname_fclass_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX geoname_fclass_idx ON geoname USING btree (fclass);


--
-- Name: geoname_geonameid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX geoname_geonameid_idx ON geoname USING btree (geonameid);


--
-- Name: geoname_name_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX geoname_name_idx ON geoname USING btree (name);


--
-- Name: geoname_the_geom_gist_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX geoname_the_geom_gist_idx ON geoname USING gist (the_geom);

ALTER TABLE geoname CLUSTER ON geoname_the_geom_gist_idx;


--
-- Name: hierarchy_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hierarchy_idx ON hierarchy USING btree (parentid, childid);


--
-- Name: postalcodes_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX postalcodes_idx ON postalcodes USING btree (postalcode, countrycode);


--
-- Name: shapessimplifiedlow_wkb_geometry_geom_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX shapessimplifiedlow_wkb_geometry_geom_idx ON shapessimplifiedlow USING gist (wkb_geometry);


--
-- Name: timezones_countrycode_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX timezones_countrycode_idx ON timezones USING btree (countrycode);


--
-- Name: usertags_geonameid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX usertags_geonameid_idx ON usertags USING btree (geonameid);


--
-- Name: usertags_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX usertags_idx ON usertags USING btree (geonameid);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

